<!--
  Generated template for the UserPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
    <ion-toolbar>
        <ion-title>Lista de Usuários</ion-title>
        <ion-buttons end>
          <button ion-button icon-only color="primary" (tap)="add()">
            <ion-icon name="person-add"></ion-icon>
          </button>
        </ion-buttons>
        <ion-buttons end>
          <button ion-button icon-only color="primary" (tap)="logout()">
            <ion-icon name="exit"></ion-icon>
          </button>
        </ion-buttons>
      </ion-toolbar>
  </ion-header>


<ion-content padding>
  <ion-list>
    <ion-item *ngFor="let user of users">
      <h2>{{ user.name }}</h2>
      <p>Email: {{ user.email }}</p>
    </ion-item>
    <ion-item *ngIf="users && users.length === 0" text-center>
      Nenhum item encontrado.
    </ion-item>
  </ion-list>

</ion-content>
